# Class StDBDeviceLocationsGet

java.lang.Object
com.io7m.darco.api.DDatabaseQueryAbstract<StDatabaseTransactionType,com.io7m.darco.api.DDatabaseUnit,SortedMap<UUID,StDeviceLocation>>
com.io7m.stonesignal.server.database.StDatabaseQueryAbstract<com.io7m.darco.api.DDatabaseUnit,SortedMap<UUID,StDeviceLocation>>
com.io7m.stonesignal.server.database.StDBDeviceLocationsGet

All Implemented Interfaces:
  `com.io7m.darco.api.DDatabaseQueryType<com.io7m.darco.api.DDatabaseUnit,SortedMap<UUID,StDeviceLocation>>`, `StDBDeviceLocationsGetType`

public final class StDBDeviceLocationsGet extends StDatabaseQueryAbstract<com.io7m.darco.api.DDatabaseUnit,SortedMap<UUID,StDeviceLocation>> implements StDBDeviceLocationsGetType
device-locations

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `name()`
  `protected SortedMap<UUID,StDeviceLocation>`
  `onExecuteWithContext(StDatabaseTransactionType transaction, org.jooq.DSLContext context, com.io7m.darco.api.DDatabaseUnit ignored)`
  `static StDatabaseQueryProviderType<com.io7m.darco.api.DDatabaseUnit,SortedMap<UUID,StDeviceLocation>,StDBDeviceLocationsGetType>`
  `provider()`

  ### Methods inherited from class com.io7m.stonesignal.server.database.StDatabaseQueryAbstract

  `attributes, context, context, objectMapper, onExecute, record`

  ### Methods inherited from class com.io7m.darco.api.DDatabaseQueryAbstract

  `execute, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.darco.api.DDatabaseQueryType

  `execute`

- ## Method Details

  - ### provider

    public static StDatabaseQueryProviderType<com.io7m.darco.api.DDatabaseUnit,SortedMap<UUID,StDeviceLocation>,StDBDeviceLocationsGetType> provider()
    Returns:
      The query provider

  - ### onExecuteWithContext

    protected SortedMap<UUID,StDeviceLocation> onExecuteWithContext(StDatabaseTransactionType transaction, org.jooq.DSLContext context, com.io7m.darco.api.DDatabaseUnit ignored) throws com.fasterxml.jackson.core.JsonProcessingException
    Specified by:
      `onExecuteWithContext` in class `StDatabaseQueryAbstract<com.io7m.darco.api.DDatabaseUnit,SortedMap<UUID,StDeviceLocation>>`
    Throws:
      `com.fasterxml.jackson.core.JsonProcessingException`

  - ### name

    protected String name()
    Specified by:
      `name` in class `StDatabaseQueryAbstract<com.io7m.darco.api.DDatabaseUnit,SortedMap<UUID,StDeviceLocation>>`